# Interface AddableObject

interface AddableObject {
mixer?: AnimationMixer;
needsRender?: boolean;
setResolution?(width: number, height: number): void;
setTime?(time: number): void;
}

#### Hierarchy

- Object3D
  - AddableObject

- Defined in lib/five/types/addableObject.ts:3

##### Index

### Properties

mixer?
needsRender?

### Methods

setResolution?
setTime?

## Properties

### `Optional` mixer

mixer?: AnimationMixer

动画

- Defined in lib/five/types/addableObject.ts:9

### `Optional` needsRender

needsRender?: boolean

是否需要渲染一次

- Defined in lib/five/types/addableObject.ts:6

## Methods

### `Optional` setResolution

- setResolution?(width: number, height: number): void

  设置当前分辨率

  #### Parameters

  - width: number
  - height: number

  #### Returns void

  - Defined in lib/five/types/addableObject.ts:12

### `Optional` setTime

- setTime?(time: number): void

  设置当前时间

  #### Parameters

  - time: number

  #### Returns void

  - Defined in lib/five/types/addableObject.ts:15